Saki Docs
Biopageeditor

Update

Base URLhttps://app.usesaki.com/api
put/spaces/{space}/bio

bio.update

AuthorizationBearer <token>

Path Parameters

spacerequiredinteger

The space ID

Request Body

application/json
slugstring
titlestring | null
descriptionstring | null
theme"minimal" | "bold" | "neon" | "soft" | "classic"
is_enabledboolean

Response

curl -X PUT "https://app.usesaki.com/api/spaces/{space}/bio" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "slug": "string",
  "title": "string",
  "description": "string",
  "theme": "minimal",
  "is_enabled": true
}'
Response
{
  "data": {
    "id": 0,
    "slug": "string",
    "title": "string",
    "description": "string",
    "theme": "string",
    "avatar": "string",
    "is_enabled": true,
    "public_url": "string",
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-01T00:00:00Z"
  }
}